import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.util.*;

public class Journals {
    static int run() {
        Scanner sc = new Scanner(System.in);

        String str = sc.next();
        List<Boolean> list = new ArrayList<>();
        boolean correctStatus;
        boolean insideSwap = false;
        int operations = 0;

        for (int i = 0; i < str.length(); i+=2) {
            if (str.charAt(i) == '+') {
                list.add(true);
            } else {
                list.add(false);
            }
        }

        if (list.size() == 1) {
            return 0;
        }

        correctStatus = list.get(0);

        for (int i = 1; i < list.size(); i++) {
            if (list.get(i).equals(correctStatus)) {
                if (insideSwap) {
                    insideSwap = false;
                    operations++;
                }
//                continue;
            }else{
                insideSwap = true;
            }
        }

        if (insideSwap) {
            operations++;
        }

        return operations;
    }

    public static void main(String[] args) {
        System.out.println(run());
    }
}