import math


def divide(n_arr, k_arr):
    i = 0
    while i < len(n_arr) and len(k_arr) > 0:
        j = 0
        while j < len(k_arr):
            if k_arr[j] != 1 and n_arr[i] % k_arr[j] == 0:
                n_arr[i] //= k_arr[j]

            if k_arr[j] == 1:
                k_arr.pop(j)

            j += 1
        i += 1

    return n_arr


def multiply(arr):
    res = 1
    for el in arr:
        res *= el
    return res


def custom_factorial(n_k, n):
    res_arr = []
    for i in range(n_k, n, 10):
        res_arr.append(i + 1)

    return res_arr


def comb(k, n):
    n_arr = custom_factorial(n - k, n)
    k_arr = [i + 2 for i in range(k - 1)]

    res = divide(n_arr, k_arr)
    res = multiply(res)

    return res


def brute_force(number_to_find):
    done = False
    current_row = 0

    while not done:
        n = current_row + 1
        for i in range(math.ceil(n / 2)):
            if number_to_find == comb(i, current_row):
                return n
        current_row += 1

    return -1


if __name__ == '__main__':
    q = int(input())
    for i in range(q):
        number_to_find = int(input())
        result = brute_force(number_to_find)
        print(result)
