import math


def check_dict(dict, square_size):
    smaller_square = (square_size - 2) * (square_size - 2)
    if dict['X'] == smaller_square or dict['O'] == smaller_square:
        return True

    return False


def change_dict(dict, c_rem, c_add):
    dict[c_rem] -= 1
    dict[c_add] += 1


def some_func(line, line_size):
    count = 0
    dict = {'X': 0, 'O': 0}

    for i in range(3, math.floor(math.sqrt(line_size)) + 1):
        i_sqr = i * i

        dict['X'] = 0
        dict['0'] = 0

        for j in range(0, i_sqr):
            dict[line[j]] += 1

        for line_start in range(line_size - i_sqr + 1):

            res = check_dict(dict, i)
            if res:
                count += 1

            if line_start + i_sqr < line_size:
                change_dict(dict, line[line_start], line[line_start + i_sqr])

    return count


if __name__ == '__main__':
    count = int(input())
    line = input()
    res = some_func(line, count)
    print(res)
